SYSTEM_PYTHON ?= python

# basic config
AUTHPROXY_ROOT = $(shell pwd)
AUTHPROXY_BUILD = duoauthproxy-build

# module versions
DUOAUTHPROXY_VER = duoauthproxy
PYTHON_VER = Python-2.7.14
LDAPTOR_VER = ldaptor
PYCRYPTO_VER = pycrypto-2.6.1
CRYPTOGRAPHY_VER = cryptography-2.1.4
PYPARSING_VER = pyparsing-1.5.7
VIRTUALENV_VER = virtualenv-1.9.1
DECORATOR_VER = decorator-3.4.0
DPKT_VER = dpkt-1.7
NETADDR_VER = netaddr-0.7.10
PYMOX_VER = mox-0.5.3
PYOPENSSL_VER = pyOpenSSL-17.5.0
PYRAD_VER = pyrad-2.0
SIX_VER = six-1.10.0
TWISTED_VER = Twisted-15.4.0
TWISTEDCONNECTPROXY_VER = twisted-connect-proxy
ZOPE_INTERFACE_VER = zope.interface-4.0.5
CFFI_VER = cffi-1.8.3
PYCPARSER_VER = pycparser-2.10
IPADDRESS_VER = ipaddress-1.0.17
ENUM34_VER = enum34-1.1.6
ORDEREDDICT_VER = ordereddict-1.1
SETUPTOOLS_VER = setuptools-28.6.1
IDNA_VER = idna-2.1
ASN1CRYPTO_VER = asn1crypto-0.22.0
FUNCSIGS_VER = funcsigs-1.0.2
PBR_VER = pbr-3.1.1
MOCK_VER = mock-2.0.0
DUO_CLIENT_PYTHON_VER = duo_client_python-3.1.0
PSUTIL_VER = psutil-5.4.3
# module paths
LDAPTOR = $(AUTHPROXY_ROOT)/pkgs/$(LDAPTOR_VER)
PYTHON_DIR = $(AUTHPROXY_ROOT)/pkgs/$(PYTHON_VER)
PYCRYPTO = $(AUTHPROXY_ROOT)/pkgs/$(PYCRYPTO_VER)
PYPARSING = $(AUTHPROXY_ROOT)/pkgs/$(PYPARSING_VER)
VIRTUALENV = $(AUTHPROXY_ROOT)/pkgs/$(VIRTUALENV_VER)
DECORATOR = $(AUTHPROXY_ROOT)/pkgs/$(DECORATOR_VER)
DPKT = $(AUTHPROXY_ROOT)/pkgs/$(DPKT_VER)
PYOPENSSL = $(AUTHPROXY_ROOT)/pkgs/$(PYOPENSSL_VER)
PYRAD = $(AUTHPROXY_ROOT)/pkgs/$(PYRAD_VER)
SIX = $(AUTHPROXY_ROOT)/pkgs/$(SIX_VER)
TWISTED = $(AUTHPROXY_ROOT)/pkgs/$(TWISTED_VER)
TWISTEDCONNECTPROXY = $(AUTHPROXY_ROOT)/pkgs/$(TWISTEDCONNECTPROXY_VER)
ZOPE_INTERFACE = $(AUTHPROXY_ROOT)/pkgs/$(ZOPE_INTERFACE_VER)
PYMOX = $(AUTHPROXY_ROOT)/pkgs/$(PYMOX_VER)
NETADDR = $(AUTHPROXY_ROOT)/pkgs/$(NETADDR_VER)
AUTHPROXY = $(AUTHPROXY_ROOT)/pkgs/$(DUOAUTHPROXY_VER)
CRYPTOGRAPHY = $(AUTHPROXY_ROOT)/pkgs/$(CRYPTOGRAPHY_VER)
CFFI = $(AUTHPROXY_ROOT)/pkgs/$(CFFI_VER)
PYCPARSER = $(AUTHPROXY_ROOT)/pkgs/$(PYCPARSER_VER)
IPADDRESS = $(AUTHPROXY_ROOT)/pkgs/$(IPADDRESS_VER)
ENUM34 = $(AUTHPROXY_ROOT)/pkgs/$(ENUM34_VER)
ORDEREDDICT = $(AUTHPROXY_ROOT)/pkgs/$(ORDEREDDICT_VER)
SETUPTOOLS = $(AUTHPROXY_ROOT)/pkgs/$(SETUPTOOLS_VER)
IDNA = $(AUTHPROXY_ROOT)/pkgs/$(IDNA_VER)
ASN1CRYPTO = $(AUTHPROXY_ROOT)/pkgs/$(ASN1CRYPTO_VER)
FUNCSIGS = $(AUTHPROXY_ROOT)/pkgs/$(FUNCSIGS_VER)
PBR = $(AUTHPROXY_ROOT)/pkgs/$(PBR_VER)
MOCK = $(AUTHPROXY_ROOT)/pkgs/$(MOCK_VER)
DUO_CLIENT_PYTHON = $(AUTHPROXY_ROOT)/pkgs/$(DUO_CLIENT_PYTHON_VER)
PSUTIL = $(AUTHPROXY_ROOT)/pkgs/$(PSUTIL_VER)

# build environment
AUTHPROXY_BUILD_ENV = $(AUTHPROXY_ROOT)/$(AUTHPROXY_BUILD)
