#!/usr/bin/python

from distutils.core import setup


version = '2.0'


setup(name='pyrad',
      version=version,
      author='Wichert Akkerman',
      author_email='wichert@wiggy.net',
      url='http://www.wiggy.net/code/pyrad/',
      license='BSD',
      description='RADIUS tools',
      long_description=open('README.rst').read(),
      classifiers=[
       'Development Status :: 6 - Mature',
       'Intended Audience :: Developers',
       'License :: OSI Approved :: BSD License',
       'Programming Language :: Python :: 2.6',
       'Programming Language :: Python :: 2.7',
       'Programming Language :: Python :: 3.2',
       'Topic :: Software Development :: Libraries :: Python Modules',
       'Topic :: System :: Systems Administration :: Authentication/Directory',
       ],
      packages=['pyrad'],
      keywords=['radius', 'authentication'],
      )
