#
# Copyright (c) 2012 Duo Security
# All Rights Reserved
#

from twisted.internet import defer


class DeferredMockTransport(object):
    def __init__(self):
        self.queue = defer.DeferredQueue()

    def write(self, data, dest):
        self.queue.put((data, dest))


class BasicMockTransport(object):
    def __init__(self):
        self.queue = []

    def write(self, data, dest):
        self.queue.append((data, dest))
